Bug 621785 - spamassassin-FuzzyOcr emits warnings when installed
spamassassin-FuzzyOcr emits warnings when installed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: spamassassin-FuzzyOcr (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 02:46 EDT by Nicolas Mailhot
Modified: 2010-09-08 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: spamassassin-FuzzyOcr-3.6.0-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 23:25:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-08-06 02:46:13 EDT
Description of problem:

The package is clearly missing provides as it does not require an ocr engine and then complains about it every time spamassassin is run (fun when sa is used in regular cron jobs and each warning translates into a cron mail)


Aug  6 08:00:09.716 [18128] warn: FuzzyOcr: Cannot find executable for gocr
Aug  6 08:00:09.716 [18128] warn: FuzzyOcr: Cannot find executable for tesseract

Version-Release number of selected component (if applicable):

spamassassin-FuzzyOcr-3.6.0-3.fc14.noarch
Comment 1 Andrew Colin Kissa 2010-08-06 03:01:30 EDT
I left that out as fedora has 3 OCR engines, the user should have the choice to choose which one they want to install as there is no meta package that can require an ocr engine. Surely a user intending to use fuzzy ocr should know that underlying that an ocr engine is required.
Comment 2 Nicolas Mailhot 2010-08-06 12:37:10 EDT
(In reply to comment #1)
> I left that out as fedora has 3 OCR engines, the user should have the choice to
> choose which one they want to install as there is no meta package that can
> require an ocr engine. Surely a user intending to use fuzzy ocr should know
> that underlying that an ocr engine is required.    

Please don't do that. Deps are here so that packages just work when installed and users don't have to worry about them. Please either choose one ocr engine, or ask the maintainers of the ocr packages add a common virtual provide your package can rely on, but never release packages that need additional bits you've not required to be functional
Comment 3 Andrew Colin Kissa 2010-08-06 12:46:51 EDT
No problem will fix. will go with ocrad as in my experience it is more accurate.
Comment 4 Andrew Colin Kissa 2010-08-10 04:38:25 EDT
On checking the spec, actually the statements above are incorrect, the package does specify ocrad as a requirement. The logs above are just warnings not fatal and do not stop the package from operating correctly.

spamassassin --debug FuzzyOcr < /usr/share/doc/spamassassin-FuzzyOcr-3.6.0/samples/ocr-animated.eml > /dev/null


Aug 10 04:29:00.493 [23861] info: FuzzyOcr: Using ocrad => /usr/bin/ocrad
Aug 10 04:29:00.493 [23861] warn: FuzzyOcr: Cannot find executable for gocr
..
..
Aug 10 04:29:03.432 [23861] info: FuzzyOcr: Scanset "ocrad" generates enough hits (4), skipping further scansets...
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: Message is spam, score = 9.000
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: Words found:
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: "price" in 1 lines
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: "company" in 1 lines
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: "alert" in 1 lines
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: "news" in 1 lines
Aug 10 04:29:03.433 [23861] info: FuzzyOcr: (6 word occurrences found)
Comment 5 Andrew Colin Kissa 2010-08-10 05:01:57 EDT
set focr_verbose 1

if you do not want the warnings clogging you logs or cron messages.
Comment 6 Nicolas Mailhot 2010-08-10 05:18:46 EDT
(In reply to comment #5)
> set focr_verbose 1
> 
> if you do not want the warnings clogging you logs or cron messages.    

Why is this not set by default? This is the setting most users will want, it should not require manual reconfiguration
Comment 7 Andrew Colin Kissa 2010-08-10 05:29:39 EDT
Well, in that case reword you bug report to indicate that, i am not going to rebuild a whole package just for a warning message, most uses run fuzzocr as part of an mta setup not via cron. I do not consider this a blocker and will update that when there is a new upstream release.
Comment 8 Nicolas Mailhot 2010-08-11 15:52:54 EDT
spamassassin-FuzzyOcr emits warnings when installed, and complains the configuration is not good when the packaging is already supposed to pull in everything which is required.

Spamassassin if often run from cron jobs (for example, when users have special mail folders when they can depose ham or spam so sa's behaviour on the mail server can be automatically ajusted). Every useless warning in sa triggers repeated mail alerts admin-side

Sa should never emit any warning when it is properly configured.
Comment 9 Fedora Update System 2010-08-22 08:53:02 EDT
spamassassin-FuzzyOcr-3.6.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/spamassassin-FuzzyOcr-3.6.0-4.fc13
Comment 10 Fedora Update System 2010-08-22 08:53:12 EDT
spamassassin-FuzzyOcr-3.6.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/spamassassin-FuzzyOcr-3.6.0-4.fc12
Comment 11 Fedora Update System 2010-08-22 08:53:21 EDT
spamassassin-FuzzyOcr-3.6.0-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/spamassassin-FuzzyOcr-3.6.0-4.fc14
Comment 12 Fedora Update System 2010-08-22 08:53:30 EDT
spamassassin-FuzzyOcr-3.6.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/spamassassin-FuzzyOcr-3.6.0-4.el5
Comment 13 Fedora Update System 2010-08-23 12:42:48 EDT
spamassassin-FuzzyOcr-3.6.0-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update spamassassin-FuzzyOcr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/spamassassin-FuzzyOcr-3.6.0-4.el5
Comment 14 Fedora Update System 2010-08-31 23:24:57 EDT
spamassassin-FuzzyOcr-3.6.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-08-31 23:31:25 EDT
spamassassin-FuzzyOcr-3.6.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-09-01 01:47:07 EDT
spamassassin-FuzzyOcr-3.6.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-09-08 12:28:58 EDT
spamassassin-FuzzyOcr-3.6.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.